FROM openshift/golang-builder@sha256:4820580c3368f320581eb9e32cf97aeec179a86c5749753a14ed76410a293d83 AS builder
ENV __doozer=update BUILD_RELEASE=202203081809.p0.gca83acc.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202203081809.p0.gca83acc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ca83acc OS_GIT_VERSION=4.10.0-202203081809.p0.gca83acc.assembly.stream-ca83acc SOURCE_DATE_EPOCH=1645441299 SOURCE_GIT_COMMIT=ca83acc69bf30f22a09a783b1d71f3fd4c7121d5 SOURCE_GIT_TAG=ca83acc SOURCE_GIT_URL=https://github.com/openshift/sriov-cni 

COPY . /usr/src/sriov-cni

WORKDIR /usr/src/sriov-cni
RUN make clean && \
    make build

FROM openshift/ose-base:v4.10.0.20220308.182903
ENV __doozer=update BUILD_RELEASE=202203081809.p0.gca83acc.assembly.stream BUILD_VERSION=v4.10.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=10 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.10.0-202203081809.p0.gca83acc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ca83acc OS_GIT_VERSION=4.10.0-202203081809.p0.gca83acc.assembly.stream-ca83acc SOURCE_DATE_EPOCH=1645441299 SOURCE_GIT_COMMIT=ca83acc69bf30f22a09a783b1d71f3fd4c7121d5 SOURCE_GIT_TAG=ca83acc SOURCE_GIT_URL=https://github.com/openshift/sriov-cni 
COPY --from=builder /usr/src/sriov-cni/build/sriov /usr/bin/
WORKDIR /


COPY ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SR-IOV CNI" \
        name="openshift/ose-sriov-cni" \
        com.redhat.component="sriov-cni-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202203081809.p0.gca83acc.assembly.stream" \
        io.openshift.build.commit.id="ca83acc69bf30f22a09a783b1d71f3fd4c7121d5" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-cni" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-cni/commit/ca83acc69bf30f22a09a783b1d71f3fd4c7121d5" \
        version="v4.10.0"

